package com.sourcetohtml;

import java.io.File;

/**
 * Generator used to generate details of files without 
 * specific Generator. The implementation will generate a simple
 * link to the original file
 * @author jcelak
 */
public class UnknownGenerator extends FileDetailGenerator{

	@Override
	public String getHTML(File input, File root) {
		return "No detail available for this file - <a href=\""+input.getName()+"\">download file</a>";
	}

}
